Product Documentation

Systemanforderungen

Oct 19, 2016

Gerät

Betriebssystem

In der folgenden Liste der Anforderungen werden nur Editionen oder Service Packs aufgeführt, die begrenzt unterstützt werden.

  • Nur Receiver für Windows 4.1: Windows 8.1, 32-Bit und 64-Bit-Editionen (inkl. Embedded Edition)
  • Windows 7, 32-Bit- und 64-Bit-Editionen (inkl. Embedded Edition)
  • Windows 7, 32-Bit- und 64-Bit-Editionen (inkl. Embedded Edition)
  • Windows XP Professional SP3, 32-Bit-Edition und Windows XP Professional SP2, 64-Bit-Edition (einschließlich Embedded Edition)

    Der Support für Windows XP endet am 8. April 2014, wenn Microsoft den erweiterten Support für Windows XP beendet. Der Support für Windows XP Embedded wird fortgesetzt.

  • Windows Vista, 32-Bit- und 64-Bit-Editionen
  • Windows Thin PC

    Keine Unterstützung für das Self-Service Plug-In. Weitere Informationen finden Sie unter Konfigurieren und Installieren von Receiver für Windows mit Befehlszeilenparametern.

  • Nur Receiver für Windows 4.1: Windows Server 2012 R2, 64-Bit-Edition
  • Windows Server 2003, 64-Bit-Edition
  • Windows Server 2008 R2, 64-Bit-Edition
  • Windows Server 2008, 32-Bit- und 64-Bit-Edition
  • Windows Server 2008, 32-Bit- und 64-Bit-Edition

Hardware:

  • VGA- oder SVGA-Grafikkarte mit Farbmonitor.
  • Windows-kompatible Soundkarte für die Audiounterstützung (optional).
  • Für Netzwerkverbindungen mit der Serverfarm werden eine Netzwerkkarte und die entsprechende Netzwerkprotokoll-Software benötigt.

Server

  • XenApp (eines der folgenden Produkte):
    • Citrix XenApp 7.5
    • Citrix XenApp 6.5, Feature Pack 2 für Windows Server 2008 R2
    • Citrix XenApp 6.5 Feature Pack 1 für Windows Server 2008 R2
    • Citrix XenApp 6.5 für Windows Server 2008 R2
    • Citrix XenApp 4, Feature Pack 1 oder 2, für UNIX-Betriebssysteme
  • XenDesktop (eines der folgenden Produkte):
    • XenDesktop 7.5
    • XenDesktop 7.1
    • XenDesktop 7.0
    • XenDesktop 5.6 Feature Pack 1
    • XenDesktop 5.6
    • XenDesktop 5.5
    • XenDesktop 5
    • XenDesktop 4
  • Citrix VDI-in-a-Box
    • VDI-in-a-Box 5.3
    • VDI-in-a-Box 5.2
    • VDI-in-a-Box 5.1
  • Citrix Receiver kann auf virtuelle Desktops und Apps mit StoreFront, App Controller und dem Webinterface zugreifen.
    StoreFront:
    • StoreFront 2.6 (empfohlen), 2.5 oder 2.1

      Bietet direkten Zugriff auf StoreFront-Stores.

    • StoreFront konfiguriert mit einer Receiver für Web-Site

      Bietet Zugriff auf StoreFront-Stores über einen Webbrowser. Informationen zu den Beschränkungen dieser Bereitstellung finden Sie im Abschnitt "Wichtige Überlegungen" unter Receiver für Web-Sites.

    App Controller 9.0 und 2.10:

    Bietet Zugriff auf Web- und SaaS-Apps. Bietet auch ShareFile-Kontoprovisioning und Single Sign-On. App Controller ist eine Komponente der XenMobile App Edition.

    Webinterface mit dem NetScaler VPN-Client:
    • Webinterface 5.4 für Windows mit Webinterface-Sites

      Bietet Zugriff auf virtuelle Desktops und Apps über einen Webbrowser.

    • Webinterface 5.4 für Windows Legacy-XenApp Services- oder XenDesktop Services-Sites.
  • Bereitstellen von Receiver
    • Citrix Receiver für Web-Site (mit StoreFront konfiguriert)
    • Citrix Merchandising Server 2.x
    • Citrix Webinterface 5.4
    • Microsoft System Center 2012 Configuration Manager

Browser

  • Internet Explorer

    Verbindungen mit Receiver für Web oder dem Webinterface unterstützen den 32-Bit-Modus von Internet Explorer. Weitere Informationen zu den unterstützten Internet Explorer-Versionen finden Sie unter StoreFront-Systemanforderungen und Webinterface-Systemanforderungen.

  • Mozilla Firefox 18.x (unterstützte Mindestversion)
  • Google Chrome 21 oder 20 (erfordert StoreFront)

Konnektivität

Citrix Receiver für Windows unterstützt HTTPS- und ICA-über-SSL-Verbindungen über eine der folgenden Konfigurationen:

  • LAN-Verbindungen:
    • StoreFront mit StoreFront Services- oder Receiver für Web-Sites.

      Für Single Sign-On an Web- und SaaS-Apps, die über App Controller veröffentlicht werden, ist StoreFront erforderlich.

    • Webinterface 5.4 für Windows mit Webinterface-Sites oder Legacy-XenApp Services- oder XenDesktop Services-Sites

    Weitere Informationen zu in Domänen eingebundenen und nicht in Domänen eingebundenen Geräten finden Sie in der XenDesktop 7-Dokumentation .

  • Für sichere Remote- oder lokale Verbindungen:
    • Citrix NetScaler Gateway 10.1
    • Citrix Access Gateway Enterprise Edition 10
    • Citrix Access Gateway Enterprise Edition 9.x
    • Citrix Access Gateway VPX
    • Citrix Access Gateway 5.0 (nur für die Verwendung mit Webinterface)
    • Citrix Secure Gateway 3.x (nur für die Verwendung mit Webinterface)

    Verwaltete Windows-Geräte, die zu einer Domäne gehören (lokal und remote, mit oder ohne VPN), und Geräte, die nicht zu einer Domäne gehören (mit oder ohne VPN) werden unterstützt.

    Weitere Informationen zu den von StoreFront unterstützten NetScaler Gateway- und Access Gateway-Versionen finden Sie unter StoreFront-Systemanforderungen.

Hinweis: Verweise auf NetScaler Gateway in diesem Abschnitt gelten auch für Access Gateway, soweit nicht anders angegeben.

Info zu sicheren Verbindungen und SSL-Zertifikaten

Hinweis: Weitere Informationen zu Sicherheitszertifikaten finden Sie in den Abschnitten unter Sichere Verbindungen und Sichere Kommunikation.

Beim Sichern von Remoteverbindungen mit SSL verifiziert Receiver die Authentizität des SSL-Zertifikats des Remotegateways mit einem lokalen Speicher vertrauenswürdiger Stammzertifizierungsstellen. Receiver erkennt automatisch kommerziell ausgestellte Zertifikate (z. B. VeriSign und Thawte), wenn das Stammzertifikat für die Zertifizierungsstelle im lokalen Schlüsselspeicher vorhanden ist.

Private (selbstsignierte) Zertifikate

Wenn ein privates Zertifikat auf dem Remotegateway installiert ist, muss das Stammzertifikat der Zertifizierungsstelle des Unternehmens auf dem Benutzergerät installiert sein, um erfolgreich mit Receiver auf Citrix Ressourcen zuzugreifen.

Hinweis: Wenn das Zertifikat des Remote-Gateways beim Herstellen der Verbindung nicht verifiziert werden kann (da das Stammzertifikat nicht im lokalen Schlüsselspeicher vorhanden ist), wird eine Warnung über ein nicht vertrauenswürdiges Zertifikat angezeigt. Wenn der Benutzer weiterarbeitet, wird eine Liste der Apps angezeigt; die Apps können jedoch nicht gestartet werden.

Installieren von Stammzertifikaten auf Benutzergeräten

Weitere Informationen zur Installation von Stammzertifikaten auf Benutzergeräten und zur Webinterface-Konfiguration für die Verwendung von Zertifikaten finden Sie unter Sichern der Receiver-Kommunikation.

Zertifikate mit Platzhalterzeichen

Zertifikate mit Platzhalterzeichen werden statt einzelner Serverzertifikate für jeden Server in derselben Domäne verwendet. Receiver für Windows unterstützt Zertifikate mit Platzhalterzeichen.

Zwischenzertifikate und NetScaler Gateway

Wenn die Zertifikatkette ein Zwischenzertifikat enthält, muss das Zwischenzertifikat dem NetScaler Gateway-Serverzertifikat angehängt werden. Weitere Informationen finden Sie unter Konfigurieren von Zwischenzertifikaten.

Authentifizierung

Für Verbindungen mit StoreFront unterstützt Receiver die folgenden Authentifizierungsmethoden:
  • Domäne (nicht für Verbindungen von NetScaler Gateway verfügbar)
  • Domänen-Passthrough

    (Receiver für Web-Sites unterstützen keine Domänen-Passthrough-Authentifizierung.) Nicht für Verbindungen von NetScaler Gateway verfügbar.

  • Sicherheitstoken*
  • Zweifaktor (Domäne plus Sicherheitstoken)*
  • SMS*
  • Smartcard (erfordert StoreFront 2.1 oder 2.0)
  • Benutzerzertifikat* (kann allein oder zusammen mit anderen Authentifizierungsmethoden verwendet werden)

* Nur für Receiver für Web-Sites verfügbar und für Bereitstellungen, die NetScaler Gateway mit oder ohne installiertem zugeordneten Plug-In auf dem Gerät enthalten.

Für Verbindungen mit App Controller unterstützt Receiver die folgenden Authentifizierungsmethoden:
  • Domäne
  • Sicherheitstoken*
  • Zweifaktor (Domäne plus Sicherheitstoken)*
  • SMS*

* Nur in Bereitstellungen verfügbar, die NetScaler Gateway mit oder ohne installiertem zugeordneten Plug-In auf dem Gerät enthalten.

Für Verbindungen mit dem Webinterface 5.4 unterstützt Receiver die folgenden Authentifizierungsmethoden: (Im Webinterface wird der Begriff "explizit" für die Domänen- und Sicherheitstokenauthentifizierung verwendet.)
  • Domäne
  • Domänen-Passthrough (nur für Verbindungen über einen Webbrowser verfügbar)
  • Sicherheitstoken*
  • Zweifaktor (Domäne plus Sicherheitstoken)*
  • SMS*
  • Smartcard
  • Benutzerzertifikat* (kann allein oder zusammen mit anderen Authentifizierungsmethoden verwendet werden)

* Nur in Bereitstellungen verfügbar, die NetScaler Gateway mit oder ohne installiertem zugeordneten Plug-In auf dem Gerät enthalten.

Weitere Informationen zur Authentifizierung finden Sie unter Configuring Authentication and Authorization in der NetScaler Gateway-Dokumentation und unter Verwaltung in der StoreFront-Dokumentation. Weitere Informationen zu den Authentifizierungsmethoden, die das Webinterface unterstützt, finden Sie unter Konfigurieren der Authentifizierung für das Webinterface.

Upgrades

Upgrades werden nur für das Citrix Online Plug-in 12.x und Receiver für Windows 3.x unterstützt.

Verfügbarkeit der Receiver für Windows 4.0-Features

Einige Features und Funktionen von Receiver stehen nur in Verbindungen mit neueren XenDesktop- und XenApp-Versionen zur Verfügung und erfordern ggf. die aktuellen Hotfixes.

Andere Version

  • Kompatible Plug-Ins

    Eine Liste der kompatiblen Plug-Ins finden Sie unter Verwalten von Citrix Receiver-Updates.

  • Anforderungen für .NET Framework
    • Für das Self-Service Plug-In ist .NET 3.5 Service Pack 1 erforderlich. Benutzer können damit über das Receiver-Fenster oder über eine Befehlszeile Desktops und Anwendungen abonnieren und starten. Weitere Informationen finden Sie unter Konfigurieren und Installieren von Receiver für Windows mit Befehlszeilenparametern.
    • NET 2.0 Service Pack 1 und Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package sind erforderlich, um sicherzustellen, dass das Receiver-Symbol richtig angezeigt wird. Microsoft Visual C++ 2005 Service Pack 1 ist Teil von .NET 2.0 Service Pack 1, .NET 3.5 und .NET 3.5 Service Pack 1 und ist auch separat verfügbar.
    • Für XenDesktop-Verbindungen: Für Desktop Viewer wird .NET 2.0 Service Pack 1 oder höher benötigt. Diese Version ist erforderlich, weil die Überprüfung von Zertifikatsperrlisten den Verbindungsstart verlangsamt, wenn kein Internetzugang verfügbar ist. Die Überprüfungen können in dieser Version des Frameworks deaktiviert werden, um die Startzeiten zu verbessern, aber nicht in Version .NET 2.0.
  • Weitere Informationen zur Verwendung von Receiver mit Microsoft Lync Server 2013 und dem Microsoft Lync 2013 VDI Plug-In für Windows finden Sie unter XenDesktop 7, XenApp 6.x and Citrix Receiver 4.0 Support for Microsoft Lync 2013 VDI Plug-in.
  • Unterstützte Verbindungsmethoden und Netzwerkprotokolle:
    • TCP/IP+HTTP
      Wichtig: Wenn Stores in StoreFront mit einem Transporttyp von HTTP konfiguriert sind, müssen Sie den folgenden Schlüsselwert dem Registrierungsschlüssel HKLM\Software\[Wow6432Node\]Citrix\AuthManager: ConnectionSecurityMode=Any hinzufügen.
      Achtung: Die unsachgemäße Verwendung des Registrierungs-Editors kann zu schwerwiegenden Problemen führen, die nur durch eine Neuinstallation des Betriebssystems gelöst werden können. Citrix übernimmt keine Garantie dafür, dass Probleme, die auf eine falsche Verwendung des Registrierungs-Editors zurückzuführen sind, behoben werden können. Die Verwendung des Registrierungs-Editors geschieht daher auf eigene Gefahr. Sichern Sie die Registrierung auf jeden Fall vor dem Bearbeiten ab.
    • SSL/TLS+HTTPS
  • Vorherige Versionen von Presentation Server Client/Online Plug-In und die aktuelle Datei icaclient.adm: Vorherige Versionen des Presentation Server Clients und des Online Plug-ins sind nicht mit der Datei icaclient.adm für Receiver für Windows 3.4 kompatibel.